from scriptsdll import *

def OnLoad():
	print("Loaded!!!\n")
	return

def Serial_Hook(pid, serial):
	print("pid = {}, serial = {}".format(pid, serial))
	return

def Radio_Hook(team, pid, a, radioid, b):
	print("cool5")
	return int(0)
	
def OnChat(id, type, msg, target):
	#print("msg = {}\n".format(msg))
	#print("hi!")
	return 1
	
def Suicide_Hook(pid):
	print( "suicider = {}".format(pid))
	return 0

#def Ping_Hook(pid, ping):
#	print("pid = {}, ping = {}".format(pid, ping))
#	Request_Serial(pid)
#	return

def Loading_Hook(pid, loaded):
	print("pid = {}, loaded = {}".format(pid, loaded))
	return

def Damage_Hook(pid, damager, target, damage, warhead):
	print("okay damage hook triggered in python\n")
	print("pid = {}, damager = {}, target = {}, damage = {}, warhead = {}".format(pid, damager, target, damage, warhead))
	return 0